# Serialized Form

## Package uk.ac.starlink.task

### Exception uk.ac.starlink.task.AbortException

class AbortException extends TaskException implements Serializable

### Exception uk.ac.starlink.task.ExecutionException

class ExecutionException extends TaskException implements Serializable

#### Serialized Fields

##### errorCode

    int errorCode

### Exception uk.ac.starlink.task.ParameterValueException

class ParameterValueException extends UsageException implements Serializable

#### Serialized Fields

##### param_

    Parameter<?> param_

### Exception uk.ac.starlink.task.TaskException

class TaskException extends Exception implements Serializable

### Exception uk.ac.starlink.task.UsageException

class UsageException extends TaskException implements Serializable

#### Serialized Fields

##### usage

    String usage